---
title: font-size
slug: Web/CSS/font-size
tags:
  - CSS
  - CSS Fonts
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>font-size</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the size of the font. Changing the font size also updates the sizes of the font size-relative {{cssxref("&lt;length&gt;")}} units, such as <code>em</code>, <code>ex</code>, and so forth.</span></p>

<div>{{EmbedInteractiveExample("pages/css/font-size.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* &lt;absolute-size&gt; values */
font-size: xx-small;
font-size: x-small;
font-size: small;
font-size: medium;
font-size: large;
font-size: x-large;
font-size: xx-large;
font-size: xxx-large;

/* &lt;relative-size&gt; values */
font-size: smaller;
font-size: larger;

/* &lt;length&gt; values */
font-size: 12px;
font-size: 0.8em;

/* &lt;percentage&gt; values */
font-size: 80%;

/* Global values */
font-size: inherit;
font-size: initial;
font-size: unset;
</pre>

<p>The <code>font-size</code> property is specified in one of the following ways:</p>

<ul>
 <li>As one of the <a href="#absolute-size">absolute-size</a> or <a href="#relative-size">relative-size</a> keywords</li>
 <li>As a <code>&lt;length&gt;</code> or a <code>&lt;percentage&gt;</code>, relative to the element's font size.</li>
</ul>

<h3 id="Values">Values</h3>

<dl>
 <dt id="absolute-size"><code>xx-small</code>, <code>x-small</code>, <code>small</code>, <code>medium</code>, <code>large</code>, <code>x-large</code>, <code>xx-large</code>, <code>xxx-large</code></dt>
 <dd>Absolute-size keywords, based on the user's default font size (which is <code>medium</code>).</dd>
 <dt id="relative-size"><code>larger</code>, <code>smaller</code></dt>
 <dd>Relative-size keywords. The font will be larger or smaller relative to the parent element's font size, roughly by the ratio used to separate the absolute-size keywords above.</dd>
 <dt id="&lt;length&gt;">{{cssxref("&lt;length&gt;")}}</dt>
 <dd>
 <p>A positive {{cssxref("&lt;length&gt;")}} value. For most font-relative units (such as <code>em</code> and <code>ex</code>), the font size is relative to the parent element's font size.</p>

 <p>For font-relative units that are root-based (such as <code>rem</code>), the font size is relative to the size of the font used by the {{HTMLElement("html")}} (root) element.</p>
 </dd>
 <dt id="&lt;percentage&gt;">{{cssxref("&lt;percentage&gt;")}}</dt>
 <dd>
 <p>A positive {{cssxref("&lt;percentage&gt;")}} value, relative to the parent element's font size.</p>
 </dd>
</dl>

<div class="note">
<p><strong>Note:</strong> To maximize accessibility, it is generally best to use values that are relative to the user's default font size.</p>
</div>

<h2 id="Description">Description</h2>

<p>There are several ways to specify the font size, including keywords or numerical values for pixels or ems. Choose the appropriate method based on the needs of the particular web page.</p>

<h3 id="Keywords">Keywords</h3>

<p>Keywords are a good way to set the size of fonts on the web. By setting a keyword font size on the {{HTMLElement("body")}} element, you can set relative font-sizing everywhere else on the page, giving you the ability to easily scale the font up or down on the entire page accordingly.</p>

<h3 id="Pixels">Pixels</h3>

<p>Setting the font size in pixel values (<code>px</code>) is a good choice when you need pixel accuracy. A px value is static. This is an OS-independent and cross-browser way of literally telling the browsers to render the letters at exactly the number of pixels in height that you specified. The results may vary slightly across browsers, as they may use different algorithms to achieve a similar effect.</p>

<p>Font sizing settings can also be used in combination. For example, if a parent element is set to <code>16px</code> and its child element is set to <code>larger</code>, the child element displays larger than the parent element on the page.</p>

<div class="note"><strong>Note:</strong> Defining font sizes in <code>px</code> is <em><a href="https://en.wikipedia.org/wiki/Web_accessibility">not accessible</a></em>, because the user cannot change the font size in some browsers. For example, users with limited vision may wish to set the font size much larger than the size chosen by a web designer. Avoid using them for font sizes if you wish to create an inclusive design.</div>

<h3 id="Ems">Ems</h3>

<p>Using an <code>em</code> value creates a dynamic or computed font size (historically the <code>em</code> unit was derived from the width of a capital "M" in a given typeface.). The numeric value acts as a multiplier of the <code>font-size</code> property of the element on which it is used. Consider this example:</p>

<pre class="brush: css notranslate">p {
  font-size: 2em;
}
</pre>

<p>In this case, the font size of <code>&lt;p&gt;</code> elements will be double the computed <code>font-size</code> inherited by <code>&lt;p&gt;</code> elements. By extension, a <code>font-size</code> of <code>1em</code> equals the computed <code>font-size</code> of the element on which it is used.</p>

<p>If a <code>font-size</code> has not been set on any of the <code>&lt;p&gt;</code>'s ancestors, then <code>1em</code> will equal the default browser <code>font-size</code>, which is usually <code>16px</code>. So, by default <code>1em</code> is equivalent to <code>16px</code>, and <code>2em</code> is equivalent to <code>32px</code>. If you were to set a <code>font-size</code> of 20px on the <code>&lt;body&gt;</code> element say, then <code>1em</code> on the <code>&lt;p&gt;</code> elements would instead be equivalent to <code>20px</code>, and <code>2em</code> would be equivalent to <code>40px</code>.</p>

<p>In order to calculate the <code>em</code> equivalent for any pixel value required, you can use this formula:</p>

<pre class="brush: plain notranslate">em = desired element pixel value / parent element font-size in pixels</pre>

<p>For example, suppose the <code>font-size</code> of the <code>&lt;body&gt;</code> of the page is set to <code>16px</code>. If the font-size you want is <code>12px</code>, then you should specify <code>0.75em</code> (because 12/16 = 0.75). Similarly, if you want a font size of <code>10px</code>, then specify <code>0.625em</code> (10/16 = 0.625); for <code>22px</code>, specify <code>1.375em</code> (22/16).</p>

<p>The <code>em</code> is a very useful unit in CSS since it automatically adapts its length relative to the font that the reader chooses to use.</p>

<p>One important fact to keep in mind: em values compound. Take the following HTML and CSS:</p>

<pre class="brush: css notranslate">html {
  font-size: 62.5%; /* font-size 1em = 10px on default browser settings */
}
span {
  font-size: 1.6em;
}</pre>

<pre class="brush: html notranslate">&lt;div&gt;
&lt;span&gt;Outer &lt;span&gt;inner&lt;/span&gt; outer&lt;/span&gt;
&lt;/div&gt;
</pre>

<p>The result is:</p>

<p>{{EmbedLiveSample("Ems", 400, 40)}}</p>

<p>Assuming that the browser's default <code>font-size</code> is 16px, the words “outer” would be rendered at 16px, but the word “inner” would be rendered at 25.6px. This is because the inner {{HTMLElement("span")}}'s <code>font-size</code> is 1.6em which is relative to its parent's <code>font-size</code>, which is in turn relative to its parent's <code>font-size</code>. This is often called <strong>compounding</strong>.</p>

<h3 id="Rems">Rems</h3>

<p><code>rem</code> values were invented in order to sidestep the compounding problem. <code>rem</code> values are relative to the root <code>html</code> element, not the parent element. In other words, it lets you specify a font size in a relative fashion without being affected by the size of the parent, thereby eliminating compounding.</p>

<p>The CSS below is nearly identical to the previous example. The only exception is that the unit has been changed to <code>rem</code>.</p>

<pre class="brush: css notranslate">html {
  font-size: 62.5%; /* font-size 1em = 10px on default browser settings */
}
span {
  font-size: 1.6rem;
}
</pre>

<p>Then we apply this CSS to the same HTML, which looks like this:</p>

<pre class="brush: html notranslate">&lt;span&gt;Outer &lt;span&gt;inner&lt;/span&gt; outer&lt;/span&gt;</pre>

<p>{{EmbedLiveSample("Rems", 400, 40)}}</p>

<p>In this example, the words “outer inner outer” are all displayed at 16px (assuming that the browser's <code>font-size</code> has been left at the default value of 10px).</p>

<h3 id="Ex">Ex</h3>

<p>Like the <code>em</code> unit, an element's <code>font-size</code> set using the <code>ex</code> unit is computed or dynamic. It behaves in exactly the same way, except that when setting the <code>font-size</code> property using <code>ex</code> units, the <code>font-size</code> equals the x-height of the <a href="https://www.w3.org/TR/css3-fonts/#first-available-font">first available font</a> used on the page. The number value multiplies the element's inherited <code>font-size</code> and the <code>font-size</code> compounds relatively.</p>

<p>See the W3C Editor's Draft for a more detailed description of <a href="https://drafts.csswg.org/css-values-4/#font-relative-length">font-relative length units</a> such as <code>ex</code>.</p>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_font_sizes">Setting font sizes</h3>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.small {
  font-size: xx-small;
}
.larger {
  font-size: larger;
}
.point {
  font-size: 24pt;
}
.percent {
  font-size: 200%;
}
</pre>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;h1 class="small"&gt;Small H1&lt;/h1&gt;
&lt;h1 class="larger"&gt;Larger H1&lt;/h1&gt;
&lt;h1 class="point"&gt;24 point H1&lt;/h1&gt;
&lt;h1 class="percent"&gt;200% H1&lt;/h1&gt;</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Setting_font_sizes','600','200')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Fonts', '#font-size-prop', 'font-size')}}</td>
   <td>{{Spec2('CSS4 Fonts')}}</td>
   <td>Adds <code>xxx-large</code> keyword.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Fonts', '#font-size-prop', 'font-size')}}</td>
   <td>{{Spec2('CSS3 Fonts')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'fonts.html#propdef-font-size', 'font-size')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS1', '#font-size', 'font-size')}}</td>
   <td>{{Spec2('CSS1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a class="external" href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("css.properties.font-size")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("font-size-adjust")}}</li>
 <li>{{cssxref("font-style")}}</li>
 <li>{{cssxref("font-weight")}}</li>
 <li><a href="/en-US/docs/Learn/CSS/Styling_text/Fundamentals">Fundamental text and font styling</a></li>
</ul>
